<?xml version="1.0" encoding="ascii"?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
          "DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="en" lang="en">
<head>
  <title>pyxmpp.jabber.muccore.MucStanzaExt</title>
  <link rel="stylesheet" href="epydoc.css" type="text/css" />
  <script type="text/javascript" src="epydoc.js"></script>
</head>

<body bgcolor="white" text="black" link="blue" vlink="#204080"
      alink="#204080">
<!-- ==================== NAVIGATION BAR ==================== -->
<table class="navbar" border="0" width="100%" cellpadding="0"
       bgcolor="#a0c0ff" cellspacing="0">
  <tr valign="middle">
  <!-- Home link -->
      <th>&nbsp;&nbsp;&nbsp;<a
        href="pyxmpp-module.html">Home</a>&nbsp;&nbsp;&nbsp;</th>

  <!-- Tree link -->
      <th>&nbsp;&nbsp;&nbsp;<a
        href="module-tree.html">Trees</a>&nbsp;&nbsp;&nbsp;</th>

  <!-- Index link -->
      <th>&nbsp;&nbsp;&nbsp;<a
        href="identifier-index.html">Indices</a>&nbsp;&nbsp;&nbsp;</th>

  <!-- Help link -->
      <th>&nbsp;&nbsp;&nbsp;<a
        href="help.html">Help</a>&nbsp;&nbsp;&nbsp;</th>

  <!-- Project homepage -->
      <th class="navbar" align="right" width="100%">
        <table border="0" cellpadding="0" cellspacing="0">
          <tr><th class="navbar" align="center"
            ><a class="navbar" target="_top" href="http://pyxmpp.jajcus.net/">PyXMPP</a></th>
          </tr></table></th>
  </tr>
</table>
<table width="100%" cellpadding="0" cellspacing="0">
  <tr valign="top">
    <td width="100%">
      <span class="breadcrumbs">
        <a href="pyxmpp-module.html">Package&nbsp;pyxmpp</a> ::
        <a href="pyxmpp.jabber-module.html">Package&nbsp;jabber</a> ::
        <a href="pyxmpp.jabber.muccore-module.html">Module&nbsp;muccore</a> ::
        Class&nbsp;MucStanzaExt
      </span>
    </td>
    <td>
      <table cellpadding="0" cellspacing="0">
        <!-- hide/show private -->
        <tr><td align="right"><span class="options">[<a href="javascript:void(0);" class="privatelink"
    onclick="toggle_private();">hide&nbsp;private</a>]</span></td></tr>
      </table>
    </td>
  </tr>
</table>
<!-- ==================== CLASS DESCRIPTION ==================== -->
<h1 class="epydoc">Class MucStanzaExt</h1><p class="nomargin-top"><span class="codelink"><a href="pyxmpp.jabber.muccore-pysrc.html#MucStanzaExt">source&nbsp;code</a></span></p>
<dl><dt>Known Subclasses:</dt>
<dd>
      <ul class="subclass-list">
<li><a href="pyxmpp.jabber.muccore.MucIq-class.html">MucIq</a></li><li>, <a href="pyxmpp.jabber.muccore.MucPresence-class.html">MucPresence</a></li>  </ul>
</dd></dl>

<hr />
Base class for MUC specific stanza extensions. Used together
with one of stanza classes (Iq, Message or Presence).

<!-- ==================== INSTANCE METHODS ==================== -->
<a name="section-InstanceMethods"></a>
<table class="summary" border="1" cellpadding="3"
       cellspacing="0" width="100%" bgcolor="white">
<tr bgcolor="#70b0f0" class="table-header">
  <td colspan="2" class="table-header">
    <table border="0" cellpadding="0" cellspacing="0" width="100%">
      <tr valign="top">
        <td align="left"><span class="table-header">Instance Methods</span></td>
        <td align="right" valign="top"
         ><span class="options">[<a href="#section-InstanceMethods"
         class="privatelink" onclick="toggle_private();"
         >hide private</a>]</span></td>
      </tr>
    </table>
  </td>
</tr>
<tr>
    <td width="15%" align="right" valign="top" class="summary">
      <span class="summary-type">&nbsp;</span>
    </td><td class="summary">
      <table width="100%" cellpadding="0" cellspacing="0" border="0">
        <tr>
          <td><span class="summary-sig"><a name="__init__"></a><span class="summary-sig-name">__init__</span>(<span class="summary-sig-arg">self</span>)</span><br />
      Initialize a <a href="pyxmpp.jabber.muccore.MucStanzaExt-class.html" class="link">MucStanzaExt</a> derived object.</td>
          <td align="right" valign="top">
            <span class="codelink"><a href="pyxmpp.jabber.muccore-pysrc.html#MucStanzaExt.__init__">source&nbsp;code</a></span>
            
          </td>
        </tr>
      </table>
      
    </td>
  </tr>
<tr>
    <td width="15%" align="right" valign="top" class="summary">
      <span class="summary-type"><a href="pyxmpp.jabber.muccore.MucX-class.html" class="link">MucX</a> or <a href="pyxmpp.jabber.muccore.MucUserX-class.html" class="link">MucUserX</a> or <a href="pyxmpp.jabber.muccore.MucAdminQuery-class.html" class="link">MucAdminQuery</a> or <a href="pyxmpp.jabber.muccore.MucOwnerX-class.html" class="link">MucOwnerX</a></span>
    </td><td class="summary">
      <table width="100%" cellpadding="0" cellspacing="0" border="0">
        <tr>
          <td><span class="summary-sig"><a href="pyxmpp.jabber.muccore.MucStanzaExt-class.html#get_muc_child" class="summary-sig-name">get_muc_child</a>(<span class="summary-sig-arg">self</span>)</span><br />
      Get the MUC specific payload element.</td>
          <td align="right" valign="top">
            <span class="codelink"><a href="pyxmpp.jabber.muccore-pysrc.html#MucStanzaExt.get_muc_child">source&nbsp;code</a></span>
            
          </td>
        </tr>
      </table>
      
    </td>
  </tr>
<tr>
    <td width="15%" align="right" valign="top" class="summary">
      <span class="summary-type">&nbsp;</span>
    </td><td class="summary">
      <table width="100%" cellpadding="0" cellspacing="0" border="0">
        <tr>
          <td><span class="summary-sig"><a name="clear_muc_child"></a><span class="summary-sig-name">clear_muc_child</span>(<span class="summary-sig-arg">self</span>)</span><br />
      Remove the MUC specific stanza payload element.</td>
          <td align="right" valign="top">
            <span class="codelink"><a href="pyxmpp.jabber.muccore-pysrc.html#MucStanzaExt.clear_muc_child">source&nbsp;code</a></span>
            
          </td>
        </tr>
      </table>
      
    </td>
  </tr>
<tr>
    <td width="15%" align="right" valign="top" class="summary">
      <span class="summary-type"><a href="pyxmpp.jabber.muccore.MucUserX-class.html" class="link">MucUserX</a></span>
    </td><td class="summary">
      <table width="100%" cellpadding="0" cellspacing="0" border="0">
        <tr>
          <td><span class="summary-sig"><a href="pyxmpp.jabber.muccore.MucStanzaExt-class.html#make_muc_userinfo" class="summary-sig-name">make_muc_userinfo</a>(<span class="summary-sig-arg">self</span>)</span><br />
      Create &lt;x xmlns=&quot;...muc#user&quot;/&gt; element in the stanza.</td>
          <td align="right" valign="top">
            <span class="codelink"><a href="pyxmpp.jabber.muccore-pysrc.html#MucStanzaExt.make_muc_userinfo">source&nbsp;code</a></span>
            
          </td>
        </tr>
      </table>
      
    </td>
  </tr>
<tr>
    <td width="15%" align="right" valign="top" class="summary">
      <span class="summary-type"><a href="pyxmpp.jabber.muccore.MucAdminQuery-class.html" class="link">MucAdminQuery</a></span>
    </td><td class="summary">
      <table width="100%" cellpadding="0" cellspacing="0" border="0">
        <tr>
          <td><span class="summary-sig"><a href="pyxmpp.jabber.muccore.MucStanzaExt-class.html#make_muc_admin_quey" class="summary-sig-name">make_muc_admin_quey</a>(<span class="summary-sig-arg">self</span>)</span><br />
      Create &lt;query xmlns=&quot;...muc#admin&quot;/&gt; element in the stanza.</td>
          <td align="right" valign="top">
            <span class="codelink"><a href="pyxmpp.jabber.muccore-pysrc.html#MucStanzaExt.make_muc_admin_quey">source&nbsp;code</a></span>
            
          </td>
        </tr>
      </table>
      
    </td>
  </tr>
<tr>
    <td width="15%" align="right" valign="top" class="summary">
      <span class="summary-type">&nbsp;</span>
    </td><td class="summary">
      <table width="100%" cellpadding="0" cellspacing="0" border="0">
        <tr>
          <td><span class="summary-sig"><a name="muc_free"></a><span class="summary-sig-name">muc_free</span>(<span class="summary-sig-arg">self</span>)</span><br />
      Free MUC specific data.</td>
          <td align="right" valign="top">
            <span class="codelink"><a href="pyxmpp.jabber.muccore-pysrc.html#MucStanzaExt.muc_free">source&nbsp;code</a></span>
            
          </td>
        </tr>
      </table>
      
    </td>
  </tr>
</table>
<!-- ==================== METHOD DETAILS ==================== -->
<a name="section-MethodDetails"></a>
<table class="details" border="1" cellpadding="3"
       cellspacing="0" width="100%" bgcolor="white">
<tr bgcolor="#70b0f0" class="table-header">
  <td colspan="2" class="table-header">
    <table border="0" cellpadding="0" cellspacing="0" width="100%">
      <tr valign="top">
        <td align="left"><span class="table-header">Method Details</span></td>
        <td align="right" valign="top"
         ><span class="options">[<a href="#section-MethodDetails"
         class="privatelink" onclick="toggle_private();"
         >hide private</a>]</span></td>
      </tr>
    </table>
  </td>
</tr>
</table>
<a name="get_muc_child"></a>
<div>
<table class="details" border="1" cellpadding="3"
       cellspacing="0" width="100%" bgcolor="white">
<tr><td>
  <table width="100%" cellpadding="0" cellspacing="0" border="0">
  <tr valign="top"><td>
  <h3 class="epydoc"><span class="sig"><span class="sig-name">get_muc_child</span>(<span class="sig-arg">self</span>)</span>
  </h3>
  </td><td align="right" valign="top"
    ><span class="codelink"><a href="pyxmpp.jabber.muccore-pysrc.html#MucStanzaExt.get_muc_child">source&nbsp;code</a></span>&nbsp;
    </td>
  </tr></table>
  
  Get the MUC specific payload element.
  <dl class="fields">
    <dt>Returns: <a href="pyxmpp.jabber.muccore.MucX-class.html" class="link">MucX</a> or <a href="pyxmpp.jabber.muccore.MucUserX-class.html" class="link">MucUserX</a> or <a href="pyxmpp.jabber.muccore.MucAdminQuery-class.html" class="link">MucAdminQuery</a> or <a href="pyxmpp.jabber.muccore.MucOwnerX-class.html" class="link">MucOwnerX</a></dt>
        <dd>the object describing the stanza payload in MUC namespace.</dd>
  </dl>
</td></tr></table>
</div>
<a name="make_muc_userinfo"></a>
<div>
<table class="details" border="1" cellpadding="3"
       cellspacing="0" width="100%" bgcolor="white">
<tr><td>
  <table width="100%" cellpadding="0" cellspacing="0" border="0">
  <tr valign="top"><td>
  <h3 class="epydoc"><span class="sig"><span class="sig-name">make_muc_userinfo</span>(<span class="sig-arg">self</span>)</span>
  </h3>
  </td><td align="right" valign="top"
    ><span class="codelink"><a href="pyxmpp.jabber.muccore-pysrc.html#MucStanzaExt.make_muc_userinfo">source&nbsp;code</a></span>&nbsp;
    </td>
  </tr></table>
  
  Create &lt;x xmlns=&quot;...muc#user&quot;/&gt; element in the stanza.
  <dl class="fields">
    <dt>Returns: <a href="pyxmpp.jabber.muccore.MucUserX-class.html" class="link">MucUserX</a></dt>
        <dd>the element created.</dd>
  </dl>
</td></tr></table>
</div>
<a name="make_muc_admin_quey"></a>
<div>
<table class="details" border="1" cellpadding="3"
       cellspacing="0" width="100%" bgcolor="white">
<tr><td>
  <table width="100%" cellpadding="0" cellspacing="0" border="0">
  <tr valign="top"><td>
  <h3 class="epydoc"><span class="sig"><span class="sig-name">make_muc_admin_quey</span>(<span class="sig-arg">self</span>)</span>
  </h3>
  </td><td align="right" valign="top"
    ><span class="codelink"><a href="pyxmpp.jabber.muccore-pysrc.html#MucStanzaExt.make_muc_admin_quey">source&nbsp;code</a></span>&nbsp;
    </td>
  </tr></table>
  
  Create &lt;query xmlns=&quot;...muc#admin&quot;/&gt; element in the stanza.
  <dl class="fields">
    <dt>Returns: <a href="pyxmpp.jabber.muccore.MucAdminQuery-class.html" class="link">MucAdminQuery</a></dt>
        <dd>the element created.</dd>
  </dl>
</td></tr></table>
</div>
<br />
<!-- ==================== NAVIGATION BAR ==================== -->
<table class="navbar" border="0" width="100%" cellpadding="0"
       bgcolor="#a0c0ff" cellspacing="0">
  <tr valign="middle">
  <!-- Home link -->
      <th>&nbsp;&nbsp;&nbsp;<a
        href="pyxmpp-module.html">Home</a>&nbsp;&nbsp;&nbsp;</th>

  <!-- Tree link -->
      <th>&nbsp;&nbsp;&nbsp;<a
        href="module-tree.html">Trees</a>&nbsp;&nbsp;&nbsp;</th>

  <!-- Index link -->
      <th>&nbsp;&nbsp;&nbsp;<a
        href="identifier-index.html">Indices</a>&nbsp;&nbsp;&nbsp;</th>

  <!-- Help link -->
      <th>&nbsp;&nbsp;&nbsp;<a
        href="help.html">Help</a>&nbsp;&nbsp;&nbsp;</th>

  <!-- Project homepage -->
      <th class="navbar" align="right" width="100%">
        <table border="0" cellpadding="0" cellspacing="0">
          <tr><th class="navbar" align="center"
            ><a class="navbar" target="_top" href="http://pyxmpp.jajcus.net/">PyXMPP</a></th>
          </tr></table></th>
  </tr>
</table>
<table border="0" cellpadding="0" cellspacing="0" width="100%%">
  <tr>
    <td align="left" class="footer">
    Generated by Epydoc 3.0.1 on Sun May  8 13:35:02 2011
    </td>
    <td align="right" class="footer">
      <a target="mainFrame" href="http://epydoc.sourceforge.net"
        >http://epydoc.sourceforge.net</a>
    </td>
  </tr>
</table>

<script type="text/javascript">
  <!--
  // Private objects are initially displayed (because if
  // javascript is turned off then we want them to be
  // visible); but by default, we want to hide them.  So hide
  // them unless we have a cookie that says to show them.
  checkCookie();
  // -->
</script>
</body>
</html>
